/*
 * \file soundtest.c
 *
 * Sound test/demonstration program
 *
 * This file is part of SOSS (Simple OSS Sound)
 *
 * \author Pontus Lidman <pontus@lysator.liu.se>
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License. See the file "COPYING" in this directory for
 * details.
 *
 */

#include <stdio.h>
#include <stdint.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdlib.h>

#include "soss.h"

static void testmusic(void)
{
    static int time =  60;
    static int limita = 60;
    static int limitb = 120;
    static int freq = 22050;

    if (time == limita) {
	printf("freq = %d\n", freq);
	play_note(&sin3instr, freq, 0, 1);
	limita += 120;
    }
    if (time == limitb) {
	play_note(&sin3instr, freq, 0, 0);
	limitb += 120;
	freq = freq*384/256;
    }
    time++;
}

int main(int argc, char **argv)
{
    int dumpfd = -1;
    int audio_fd = -1;

    audio_fd = oss_open();
    initsamples();
    channel_init();

    if (argc > 1) {
	dumpfd = open(argv[1], O_WRONLY|O_CREAT|O_TRUNC, 0666);
    }

    while(1) {
	testmusic();
	envelope();
#ifdef USE_ASM
	mixer();
#else
	c_mixer();
#endif
	soundoutput(audio_fd, dumpfd);
    }
}




